#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define 	module	wheel
Summary:	A built-package format for Python
Summary(pl.UTF-8):	Format zbudowanych pakietów dla Pythona
Name:		python3-%{module}
Version:	0.45.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/wheel/
Source0:	https://pypi.python.org/packages/source/w/wheel/%{module}-%{version}.tar.gz
# Source0-md5:	dddc505d0573d03576c7c6c5a4fe0641
URL:		https://pypi.org/project/wheel/
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools >= 1:40.9.0
%if %{with tests}
BuildRequires:	python3-keyring
BuildRequires:	python3-pytest >= 3.0.0
BuildRequires:	python3-pytest-cov
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Conflicts:	python-wheel < 0.37.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A built-package format for Python.

A wheel is a ZIP-format archive with a specially formatted filename
and the .whl extension. It is designed to contain all the files for a
PEP 376 compatible install in a way that is very close to the on-disk
format.

%description -l pl.UTF-8
Format zbudowanych pakietów dla Pythona.

"wheel" to archiwum w formacie ZIP ze specjalnie sformatowaną nazwą
pliku oraz rozszerzeniem ".whl". Jest zaprojektowane, aby zawierało
wszystkie pliki instalacji zgodnej z PEP 376 w sposób bardzo zbliżony
do formatu na dysku.

%package apidocs
Summary:	API documentation for Python wheel module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona wheel
Group:		Documentation

%description apidocs
API documentation for Python wheel module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona wheel.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_cov.plugin" \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests -k 'not test_macosx_libfile'
%endif

%if %{with doc}
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/wheel{,-3}
ln -sf wheel-3 $RPM_BUILD_ROOT%{_bindir}/wheel

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.rst
%attr(755,root,root) %{_bindir}/wheel
%attr(755,root,root) %{_bindir}/wheel-3
%{py3_sitescriptdir}/wheel
%{py3_sitescriptdir}/wheel-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,reference,*.html,*.js}
%endif
%changelog
* Mon Mar 17 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-wheel.git;a=log;h=master

* Mon Mar 17 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> ccbb593
- Up to 0.45.1; python3 module only

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 45c13bd
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 6f07cc7
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> cf303e8
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 5f9a00a
- rebuild with python 3.10

* Tue Mar 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 1758bfc
- updated to 0.37.1

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 0405b2e
- release 2 (by relup.sh)

* Sat Feb 08 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 9282f87
- up to 0.34.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 45e7709
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 390f31e
- release 3 (by relup.sh)

* Sun Mar 19 2017 Jakub Bogusz <qboosh@pld-linux.org> d1e4899
- adjusted py.test invocation to work with py.test 2.x/3.0.x
- updated tests dependencies

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cbe6d88
- python 3.6
- release 2 (by relup.sh)

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> bb70871
- different escape that remains readable

* Tue May 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 2e60e37
- updated to 0.29.0, finished packaging

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2814391
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> afce17e
- semi-automatic change: use py_build/py_install macros

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> 9739dc1
- new, version 0.24.0

